--------------------------------------------------------------------------------
--  File     : Witch's_house_ext
--  Author(s): Prokopovich Larisa
--
--  Summary  : Скрипт управления локацией.
--
--  Copyright © 2012 Floodlight Games.  All rights reserved.
--------------------------------------------------------------------------------
function OnFirstEntry()
	room:GetItem("M_HOUSE_DOOR"):Disable ()

	stars:Show("M_TO_EXIT", "3")
	stars:Show("M_FLAYTRAP", "2")
	stars:Show("M_FLOWERBED", "2")
	stars:Show("M_MAGIC_PLACE", "2")
	stars:Show("M_HOUSE_DOOR", "4")
end
--------------------------------------------------------------------------------
function OnEntry()
	music:PlayLoopWithDelay(20, "horror_3")
	ambient:Play("Witch's_house_ext")
end
--------------------------------------------------------------------------------
function OnMouseClickOnItem(item)
	local itemName = item:GetName()
	
	if itemName == "M_TO_SCARY_GLADE" then
		chapter:JumpRoom("Scary_glade")
		return true
	elseif itemName == "M_TO_EXIT" then									--переход к выходу из болота
		chapter:JumpRoom("Scary_place_exit")
		return true
	elseif itemName == "M_HOUSE_DOOR" then								--переход в домик ведьмы
		if item:IsEnabled() then
			chapter:JumpRoom("Witch's_house_int")
		else
			comment:Add("CMT_Door_Player")
			room.sfx:Play ("open_door_fail")							--звук "пробуем открыть дверь - не открывается"
		end
		return true
	elseif itemName == "M_FLAYTRAP" then								--переход в close-up с ловушкой для мух
		chapter:JumpCloseup("Witch's_house_ext_Flytrap")
		return true
	elseif itemName == "M_FLOWERBED" then
		chapter:JumpCloseup("Witch's_house_ext_Flowerbed")				--переход в close-up с клумбой
		return true
	elseif itemName == "M_MAGIC_PLACE" then
		chapter:JumpCloseup("Witch's_house_ext_Magic_place")			--переход в close-up с магическим местом
		return true
	end
end
--------------------------------------------------------------------------------
function OnClickItemOnItem(item)							  
	local itemName = item:GetName()
	
	if itemName == "M_FLAYTRAP" then									--переход в close-up с ловушкой для мух
		chapter:JumpCloseup("Witch's_house_ext_Flytrap")
		return true
	elseif itemName == "M_FLOWERBED" then
		chapter:JumpCloseup("Witch's_house_ext_Flowerbed")				--переход в close-up с клумбой
		return true
	elseif itemName == "M_MAGIC_PLACE" then
		chapter:JumpCloseup("Witch's_house_ext_Magic_place")			--переход в close-up с магическим местом
		return true
	end
	
	if (itemName == "M_HOUSE_DOOR") and				--ключ на дверь от домика ведьмы
	   (cursor:IsItemNameEqual("KEY")) then	
		cursor:RemoveItem()
		room:GetItem("M_HOUSE_DOOR"):Enable()
		room:GetItem("DOOR_OPENED"):Show()
		stars:Hide("M_HOUSE_DOOR")
		stars:Show("M_HOUSE_DOOR", "3")
		room.sfx:Play ("open_door_key")				--звук "вставляем ключ, открывается дверь в дом"
		return true
	end
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Close_up_Flowerbed(value)					--закрыть close-up с клумбой
	room:GetItem("M_FLOWERBED"):Hide()
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Close_up_Flytrap(value)					--закрыть close-up с ловушкой для мух
	if value == 3 then
		room:GetItem("M_FLAYTRAP"):Hide()
	end
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Close_up_MagicPlace(value)					--закрыть close-up с магическим местом
	room:GetItem("M_MAGIC_PLACE"):Hide()
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Cheat_WitchHouseExt1(value)						--выполнить все в локации  !!!
	cstore:SetKey("Close_up_Flowerbed", true)
	if cstore:GetKey("Close_up_Flytrap") ~= 2 then
		cstore:SetKey("Close_up_Flytrap", 1)
	end
	room:GetItem("M_HOUSE_DOOR"):Enable()
	room:GetItem("DOOR_OPENED"):Show()
	stars:Hide("M_HOUSE_DOOR")
	stars:Show("M_HOUSE_DOOR", "3")
end
function OnChapterStoreEvent_Cheat_WitchHouseExt2(value)						
	cstore:SetKey("Close_up_MagicPlace", true)
end
function OnChapterStoreEvent_Cheat_WitchHouseExt3(value)						
	cstore:SetKey("Close_up_Flytrap", 3)
end